//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tTimeSyncProt complex type的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * 
 * <pre>
 * &lt;complexType name="tTimeSyncProt"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://www.iec.ch/61850/2003/SCL}tServiceYesNo"&gt;
 *       &lt;attribute name="sntp" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" /&gt;
 *       &lt;attribute name="iec61850_9_3" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="c37_238" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="other" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tTimeSyncProt")
public class TTimeSyncProt
    extends TServiceYesNo
{

    @XmlAttribute(name = "sntp")
    protected Boolean sntp;
    @XmlAttribute(name = "iec61850_9_3")
    protected Boolean iec6185093;
    @XmlAttribute(name = "c37_238")
    protected Boolean c37238;
    @XmlAttribute(name = "other")
    protected Boolean other;

    /**
     * 获取sntp属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isSntp() {
        if (sntp == null) {
            return true;
        } else {
            return sntp;
        }
    }

    /**
     * 设置sntp属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSntp(Boolean value) {
        this.sntp = value;
    }

    /**
     * 获取iec6185093属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isIec6185093() {
        if (iec6185093 == null) {
            return false;
        } else {
            return iec6185093;
        }
    }

    /**
     * 设置iec6185093属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setIec6185093(Boolean value) {
        this.iec6185093 = value;
    }

    /**
     * 获取c37238属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isC37238() {
        if (c37238 == null) {
            return false;
        } else {
            return c37238;
        }
    }

    /**
     * 设置c37238属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setC37238(Boolean value) {
        this.c37238 = value;
    }

    /**
     * 获取other属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isOther() {
        if (other == null) {
            return false;
        } else {
            return other;
        }
    }

    /**
     * 设置other属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setOther(Boolean value) {
        this.other = value;
    }

}
